<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: FlattenCtrl Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_flatten_ctrl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_flatten_ctrl-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FlattenCtrl Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_flatten_a_s_a_m_m_d_xxml_8hpp_source.html">FlattenASAMMDXxml.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a952bcc74b9e11a31eb45aba996d50333"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_flatten_ctrl.html#a952bcc74b9e11a31eb45aba996d50333">index</a></td></tr>
<tr class="separator:a952bcc74b9e11a31eb45aba996d50333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac60e02df2754d739c34eabbf6ed3165f"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_flatten_ctrl.html#ac60e02df2754d739c34eabbf6ed3165f">sibling_no</a></td></tr>
<tr class="separator:ac60e02df2754d739c34eabbf6ed3165f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add126272cb1574e9891ec786c8b2db0c"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_flatten_ctrl.html#add126272cb1574e9891ec786c8b2db0c">sequence_no</a></td></tr>
<tr class="separator:add126272cb1574e9891ec786c8b2db0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85c8866abc7073c0035c10e912a5f960"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_flatten_ctrl.html#a85c8866abc7073c0035c10e912a5f960">siblingNoAsString</a></td></tr>
<tr class="separator:a85c8866abc7073c0035c10e912a5f960"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a952bcc74b9e11a31eb45aba996d50333"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a952bcc74b9e11a31eb45aba996d50333">&#9670;&nbsp;</a></span>index</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string FlattenCtrl::index</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="add126272cb1574e9891ec786c8b2db0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add126272cb1574e9891ec786c8b2db0c">&#9670;&nbsp;</a></span>sequence_no</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned FlattenCtrl::sequence_no</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac60e02df2754d739c34eabbf6ed3165f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac60e02df2754d739c34eabbf6ed3165f">&#9670;&nbsp;</a></span>sibling_no</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned FlattenCtrl::sibling_no</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a85c8866abc7073c0035c10e912a5f960"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85c8866abc7073c0035c10e912a5f960">&#9670;&nbsp;</a></span>siblingNoAsString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string FlattenCtrl::siblingNoAsString</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_flatten_ctrl.html">FlattenCtrl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
